#include <termios.h>

typedef struct IInterface {
	int IInt; /* Die Variable die auf das Interface zeigt */
	char numIfaces;
	struct termios newioset; /* Our new settings */
	struct termios saveioset; /* The pointer we save the old settings in*/
	unsigned char MotorStatus; /* hex, Motor state */
	unsigned char Digitals; /* all Digitals in a hex number */
	unsigned char MotorStatus2; /* extension module */
	unsigned char Digitals2;
	unsigned short int AnaX; /* Analog X, dezimal */
	unsigned short int AnaY;
	char Digital[16+1]; /* array for digital inputs */
} IInterfaceDef;

extern void IIinit(IInterfaceDef **myInterface	, char *Device, char numIfaces);
extern IInterfaceDef *IIexit(IInterfaceDef **myInterface);
extern void SetMotor(IInterfaceDef **myInterface, int Motor, char direction);
extern char GetMotor(IInterfaceDef **myInterface, int Motor);
