#include "iinterfacelib.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>


int main()
{	
	int i;
	
	IInterfaceDef *myInterface = NULL;
	/* Initiate the device - freebsd is something like /dev/cuaaX */
	IIinit(&myInterface, "/dev/ttyS0", 2);
	
	printf("Running...\n");
	
	/* print all Digital inputs */
	for (i=1; i<=8; i++)
		printf("%d: %d ", i, myInterface->Digital[i]);
	printf("\n");
	
	SetMotor(&myInterface, 1, 'r');
	sleep(1);
	SetMotor(&myInterface, 1, 's');
	
	sleep(2);
	
	SetMotor(&myInterface, 1, 'r');
	sleep(1);
	SetMotor(&myInterface, 1, 's');
			
	/* ...any bye */
	IIexit(&myInterface);
	return 0;
}
